Bug 1609924 - [RFE] Multi-level dependency resolving with embedded method
Summary: [RFE] Multi-level dependency resolving with embedded method
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: GA
: 5.10.0
Assignee: Greg McCullough
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-30 20:31 UTC by Fabien Dupont
Modified: 2019-02-07 23:03 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:37 UTC

Description Fabien Dupont 2018-07-30 20:31:42 UTC
Currently, adding an embedded method doesn't resolve its dependencies. For example, one needs to rename a virtual machine in a method. The implementation is different for RHV and VMware, so it would be easier to have a facade method that calls the actual method for the provider.

Say that the method that needs to rename the VM is `/Stuff/MyProcess/RenameVM`. To be able to call a method from the utility class, it embeds it, say `/Stuff/VM/Common/Rename`. The actual implementation is provided by `/Stuff/VM/VMware/Rename` and `/Stuff/VM/RHV`. Naively, one would simply embed these two methods in `/Stuff/VM/Common/Rename`. But recursive dependency is not implemented and the methods will have to be embedded in `/Stuff/MyProcess/RenameVM`.

This RFE asks for recursive dependency implementation, so that embedding methods is kept simple from the user stand point.

Associated Github issue: https://github.com/ManageIQ/manageiq-automation_engine/issues/202

Comment 2 Fabien Dupont 2018-09-13 08:25:58 UTC
Associated Github Issue: https://github.com/ManageIQ/manageiq-automation_engine/issues/202
Associated PR: https://github.com/ManageIQ/manageiq-automation_engine/pull/207

PR has been merged. Moving to POST.

Comment 3 Yadnyawalk Tale 2018-11-02 09:29:58 UTC
Fixed! I can see code in appliance and also automate working with embedded methods dependency implementation.

Verified on: 5.10.0.22
Thank you!

Comment 5 errata-xmlrpc 2019-02-07 23:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.